version = "2.5.2"
container_url = "xgrand/pycoqc:${version}"

params.rna_qc_out = ""
process control_basecalling {
  container = "${container_url}"
  label "small_mem_mono_cpus"
  
  if (params.rna_qc_out != "") {
    publishDir "results/${params.rna_qc_out}QC_basecalling/", mode: 'copy'
  }

  input:
  path(txt)

  output:
  path("*.html")

  """
  pycoQC -f ${txt} -o QC_basecalling.html
  """
}

process control_bam {
  container = "${container_url}"
  label "small_mem_mono_cpus"
  
  if (params.rna_qc_out != "") {
    publishDir "results/${params.rna_qc_out}QC_mapping/", mode: 'copy'
  }

  input:
  path(txt)
  tuple val(barcode), path(bam), path(bai)

  output:
  path("*.html")

  """
  pycoQC -f ${txt} -a ${bam} -o ${barcode}_QC_mapping.html
  """
}